Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.ant
Class IvyReport

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              fr.jayasoft.ivy.ant.IvyTask
                  fr.jayasoft.ivy.ant.IvyReport

public class IvyReport
extends IvyTask

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IvyReport()`

Method Summary
`void` | `execute()`
`java.io.File` | `getCache()`
`java.lang.String` | `getConf()`
`java.lang.String` | `getModule()`
`java.lang.String` | `getOrganisation()`
`java.lang.String` | `getOutputpattern()`
`java.io.File` | `getTodir()`
`java.lang.String` | `getXslext()`
`java.lang.String` | `getXslfile()`
`boolean` | `isGraph()`
`boolean` | `isXml()`
`boolean` | `isXsl()`
`void` | `setCache(java.io.File cache)`
`void` | `setConf(java.lang.String conf)`
`void` | `setGraph(boolean graph)`
`void` | `setModule(java.lang.String module)`
`void` | `setOrganisation(java.lang.String organisation)`
`void` | `setOutputpattern(java.lang.String outputpattern)`
`void` | `setTodir(java.io.File todir)`
`void` | `setXml(boolean xml)`
`void` | `setXsl(boolean xsl)`
`void` | `setXslext(java.lang.String xslext)`
`void` | `setXslfile(java.lang.String xslFile)`

Methods inherited from class fr.jayasoft.ivy.ant.IvyTask
`doValidate, ensureMessageInitialised, ensureResolved, getIvyInstance, getProperty, getProperty, getPubDate, isValidate, mergeConfs, setIvyInstance, setResolved, setValidate, splitConfs`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyReport

    public IvyReport()

Method Detail

### getTodir

    public java.io.File getTodir()

### setTodir

    public void setTodir(java.io.File todir)

### getCache

    public java.io.File getCache()

### setCache

    public void setCache(java.io.File cache)

### getConf

    public java.lang.String getConf()

### setConf

    public void setConf(java.lang.String conf)

### getModule

    public java.lang.String getModule()

### setModule

    public void setModule(java.lang.String module)

### getOrganisation

    public java.lang.String getOrganisation()

### setOrganisation

    public void setOrganisation(java.lang.String organisation)

### isGraph

    public boolean isGraph()

### setGraph

    public void setGraph(boolean graph)

### getXslfile

    public java.lang.String getXslfile()

### setXslfile

    public void setXslfile(java.lang.String xslFile)

### getOutputpattern

    public java.lang.String getOutputpattern()

### setOutputpattern

    public void setOutputpattern(java.lang.String outputpattern)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### isXml

    public boolean isXml()

### setXml

    public void setXml(boolean xml)

### isXsl

    public boolean isXsl()

### setXsl

    public void setXsl(boolean xsl)

### getXslext

    public java.lang.String getXslext()

### setXslext

    public void setXslext(java.lang.String xslext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD